
<mat-card class="cust-card" >
	<mat-card-title> 
		<h2 > Quizz </h2>
	</mat-card-title>


	<div *ngIf=" ! getSelectedTheme()"  >
		<div *ngIf="!question">

		<mat-radio-group [(ngModel)]='difficulty' >
			<b  > Difficulty Level : </b>
			<mat-radio-button class="ml-2" [value]='1' style="color:#28a745"> <b> Easy </b> </mat-radio-button>
			<mat-radio-button class="ml-2" [value]='2' style="color:yellow"> <b> Normal </b> </mat-radio-button>
			<mat-radio-button class="ml-2" [value]='3' style="color:#dc3545"> <b> Hard </b> </mat-radio-button>
		</mat-radio-group>

		</div>

		<ul class="themes">
		  <li *ngFor="let theme of themes; let indexOfelement=index"
		  	   [class.selected]="theme === getSelectedTheme()" 
		  	   (click)="onSelect(theme)">
		    <span class="badge">{{indexOfelement+1}}</span>
		    <b> {{ theme }} </b>
		  </li>
		</ul>
	</div>



	<div *ngIf="getSelectedTheme()">
		<app-quizz-detail (quizzEventOut)="quizzEventReceiver($event)" [theme]="getSelectedTheme()" [difficulty]="difficulty"></app-quizz-detail>
	</div>
</mat-card>